package com.hotent.surveyinfo.manager;

import com.hotent.base.manager.BaseManager;


import com.hotent.surveyinfo.model.CostVerifyTemplateItems;

import java.util.List;
import java.util.Map;

/**
 * 指标项子表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-19
 */
public interface CostVerifyTemplateItemsManager extends BaseManager<CostVerifyTemplateItems> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostVerifyTemplateItems getDetail(String id);
	/**
	 * 新建、更新指标项子表
	 * @param costSurveyTemplateItems
	 * @return
	 */
	void createOrUpdate(CostVerifyTemplateItems costSurveyTemplateItems);

	List<CostVerifyTemplateItems> selectBySurveyTemplateId(String surveyTemplateId);
	void deleteBySurveyTemplateId(String surveyTemplateId);
	boolean validateFormula(CostVerifyTemplateItems item, Map<String, Object> data);
}
